Devuan bug report logs - #446
devuan-installer: does not give a choice of /sbin/init

version graph

Package: devuan-installer; Maintainer for devuan-installer is Ralph Ronnquist <ralph.ronnquist@gmail.com>;

Reported by: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>

Date: Sat, 9 May 2020 02:18:01 UTC

Severity: grave

Fixed in version 0.3

Done: dak@devuan.org

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: dak@devuan.org
Subject: bug#446: marked as done (devuan-installer: does not give a choice
 of /sbin/init)
Message-ID: <handler.446.D446.158954100328582.ackdone@bugs.devuan.org>
References: <1589540418.078500.20075.nullmailer@dak.ganeti1.devuan.org>
 <20200509.110312.493668418640097059.ryutaroh@ict.e.titech.ac.jp>
X-Devuan-PR-Message: closed 446
X-Devuan-PR-Package: devuan-installer
Reply-To: 446@bugs.devuan.org
Date: Fri, 15 May 2020 11:18:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1589541482-28623-0"
[Message part 1 (text/plain, inline)]
Your message dated Fri, 15 May 2020 11:00:18 +0000
with message-id <1589540418.078500.20075.nullmailer@dak.ganeti1.devuan.org>
and subject line #446: fixed in src:choose-init version 0.3
has caused the Devuan bug report #446,
regarding devuan-installer: does not give a choice of /sbin/init
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.devuan.org
immediately.)


-- 
446: https://bugs.devuan.org/cgi/bugreport.cgi?bug=446
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: devuan-installer: does not give a choice of /sbin/init
Date: Sat, 09 May 2020 11:03:12 +0900 (JST)
Package: devuan-installer
Severity: grave
Justification: renders package unusable

Dear Maintainer,

Partly copied from
https://bugs.devuan.org/cgi/bugreport.cgi?bug=444

------ start of copy
(1) https://beta.devuan.org/os/documentation/install-guides/beowulf/img/025initchoice.png
says that a user can choose sysvinit versus openrc.
When "openrc" is chosen, PID 1 is /sbin/init and it is from the sysvinit-core package,
not the openrc-init. The choice made by the Devuan Installer Beta 2 is the one
between sysv-rc and openrc packages. If it is intended,  texts in
https://beta.devuan.org/os/documentation/install-guides/beowulf/img/025initchoice.png
have to be revised.

(2) If the above (1) is considered a bug (I think so), to which package a bug report is
filed by reportbug? It seems undocumented.
------ end of copy

By the way, if the Devuan installer is updated to provice a choice in /sbin/init,
I wonder if runit-init can be included in the choices.

Best regards, Ryutaroh Matsumoto

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled
[Message part 3 (message/rfc822, inline)]
From: dak@devuan.org
To: 446-done@bugs.devuan.org
Subject: #446: fixed in src:choose-init version 0.3
Date: Fri, 15 May 2020 11:00:18 +0000
Version: 0.3

Source package choose-init (0.3) added to Devuan suite unstable.

This closes bug report 446.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 15 May 2020 09:29:38 +0100
Source: choose-init
Binary: choose-init
Architecture: source
Version: 0.3
Distribution: unstable
Urgency: medium
Maintainer: Ralph Ronnquist (rrq) <ralph.ronnquist@gmail.com>
Changed-By: Mark Hindley <mark@hindley.org.uk>
Description:
 choose-init - Select an init system (udeb)
Closes: 446
Changes:
 choose-init (0.3) unstable; urgency=medium
 .
   * Add runit as an alternative (Closes: #446).
   * d/control:
     - add Origin: Devuan.
     - add Standards-Version: 4.5.0
   * Clarify the openrc still uses sysvinit-core /sbin/init.
   * Openrc service and runlevel management is no longer experimental.
   * Rework templates to fix lintian warnings.
   * Remove unused templates.
Checksums-Sha1:
 13f0a214dcd4497b0a7cb231f8c344df3cc62f60 1215 choose-init_0.3.dsc
 f69e9ea457fe5ffc8dd190e46233a997abed25ad 2324 choose-init_0.3.tar.xz
 5161d2c7f4dc057b81df515b351f703ab2fea4fd 2949 choose-init_0.3_source.buildinfo
Checksums-Sha256:
 e1fa1de9a89af8ccbc3d10cb6e2eccb27898b998fefebe680ef9d3dc2452d92b 1215 choose-init_0.3.dsc
 14e7b84796149040496df316bacfce8a1a879441e89dc536037f0b8dfbe02eb1 2324 choose-init_0.3.tar.xz
 cbb0230f75ce7bd1a7a07356e152e5ba2bd070b32c69bb8769e1410cabbc557e 2949 choose-init_0.3_source.buildinfo
Files:
 c7dbc7de5a8b704756a94041835d1ba1 1215 debian-installer optional choose-init_0.3.dsc
 7874ff5b38159ee4896c612558a6990d 2324 debian-installer optional choose-init_0.3.tar.xz
 f83e577ed9e7b587dd620677edcf6d87 2949 debian-installer optional choose-init_0.3_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAl6+dfcACgkQlFMhJFQZ
Ivsw5Qf/WgkUZjEv3pQz/oBmSpOEOLMvA2F9K1gqzefYGRVXJeMcsc1asKVaVcgH
V5+vYnSlPA/AuXCBjeD580soLhFOjDhFbw3anBE6o+cAjD3YNVUpo67COWL/POH4
t34UtF8zWnu1dzsR8EdUmxolH2RqZI1Wbdhkq/K54RVXZXX//TLWUYZvt7mEgzWU
XK1AJW4goPMiedayvHZfhSkRyP6nm5ZGF9B4XJp8AkIn80oWm1IzBD4s2eHOzkls
dzSHu0zfEm2F74i+HdciUmNqq9OwUXNZ9uBBtuGM/OwCO30S2Ez7xWOGWgR1UX3v
e62uGdhdReKLejU8F6rqTJY1lchiFg==
=m/c+
-----END PGP SIGNATURE-----

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Dec 2 22:18:46 2020;